---
title: Radio
desc: 单选组件
order: 19
---

## props

名称 | 类型 | 描述
--- | --- | ---
value | string | 选中的值
options | object | 选项键值对
onChange | function | 改变回调，参数是改变后的 value
readOnly | boolean | 只读模式
disabled | boolean | 禁用模式
name | string | input 的 name

## demo

```jsx
import React from 'react';
import ReactDOM from 'react-dom';
import Radio from '../../src/Radio';

ReactDOM.render((
  <div>
    <Radio options={{ key1: '值1', key2: <span>值2</span> }} value="key1" />
    <Radio readOnly options={{ key1: '值1', key2: <span>值2</span> }} value="key1" />
    <Radio disabled options={{ key1: '值1', key2: <span>值2</span> }} value="key1" />
  </div>
), window.root);
```
