const addClass = (value) => {
    return 'yingview-ui-' + value;
}
const isValue = (value) => { // 是否是有效值
    return (value === 0 || value === '0' || !!value );
}
const isNumber = (value) => { // 是否是数字
    return /^-?([1-9]|[1-9][0-9]*|[1-9][0-9]*\.?\d*|0|0\.\d*)?$/g.test(value);
}
const isTel = (value) => { // 是否手机号
    return /^1[34578]\d{9}$/g.test(value);
}
const isEmail = (value) => { // 是否邮箱
    return /^(\w)+(\.\w+)*@(\w)+((\.\w+)+)$/g.test(value);
}
const isWord = (value) => { // 是否邮箱
    return /^\w*\.*\w*$/g.test(value);
}

module.exports = {
    addClass,
    isValue,
    isNumber,
    isTel,
    isEmail,
    isWord
}
