import React, { Component } from 'react';
import ReactDOM from 'react-dom';
import Button from './components/Button';
import Checkbox from './components/Checkbox';
import CheckBoxItem from './components/Checkbox/CheckBoxItem';
import Radio from './components/Radio';
import FileUpload from './components/FileUpload';
import Input from './components/Input';
import Select from './components/Select';
import Textarea from './components/Textarea';
import Pagination from './components/Pagination';
import CascadeMultiSelect from './components/CascadeMultiSelect';
import Modal from './components/Modal';
import Utils from './components/Utils';
import Calendar from './components/Calendar';
import Dialog from './components/Dialog';
import Ajax from './components/Ajax';
import Carousel from './components/Carousel';

require('./styles/index');
module.exports = {
	Button,
	Pagination,
	Checkbox,
	Radio,
	FileUpload,
	Input,
	Select,
	Textarea,
	CascadeMultiSelect,
	CheckBoxItem,
	Utils,
	Calendar,
	Modal,
	Dialog,
	Ajax,
	Carousel
}

// ReactDOM.render(
// 	<div style={{ margin: '100px', padding: '20px' }}>
// 		<Calendar onChange={(value) => { console.log(value); }} />
// 	</div>, document.body.appendChild(document.createElement('div')));